> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-11/v11-12-0.md).

# Version 11.12.0 Changelog (2026-04-01)

View the changelog for our 11.12.0 release of the Apryse WebViewer SDK.

## WebViewer Core

### New

#### Digital Signatures

* Added new API `AnnotationManager.sign` and event `digitalSignatureApplied`.

#### DOCX Editor

* Added new `CommentManager` APIs: `getComments`, `addCommentThreadAtCurrentRange`, `addCommentReply`, `setCommentMessage`, `deleteComment`.

#### Spreadsheet Editor

* Added the ability to view standard charts within XLSX files.
* Added the ability to edit and save chart values in edit mode.

### Fixes

#### Annotations

* Fixed an issue where importing measurement annotations via XFDF would slightly change contents.
* Added a check on the type of input for the API `AnnotationManager.setCurrentUser` to prevent issues related to false input type.
* Fixed an issue where opening the notes panel and deleting the last page with an annotation would crash the notes panel.
* Fixed an issue where certain annotation appearances could not render when imported while using WebViewer Server.
* Fixed an issue when creating a stamp signature with the current user set to null or undefined.

#### Forms

* Fixed an issue where read only checkboxes in the "checked" state were hard to read.
* Fixed an issue where checkbox widgets would not appear to be checked when there was appearance data.

#### General

* Fixed a bug where the document was disappearing when loading the same document after setting it to page by page.
* Fixed an issue with PDFNet APIs throwing errors when imported twice or if disposing and recreating WebViewer.
* Fixed an issue where adding a new watermark would apply it to the document at the same time.
* Fixed an issue with rendering some files with bad OCG data.

#### Spreadsheet Editor

* Enforced view-only mode when license did not include spreadsheet editor permission.

## WebViewer UI

### New

#### DOCX Editor

* Added Strikeout text style button to the default UI configuration.
* Added comment panel and toggle button to the default UI.
* Added comment highlight annotations.

#### MultiViewer

* Hid form field indicators while in MultiViewer.
* Added `MultiViewerMode` support to the layers panel.
* Added `MultiViewerMode` support to the digital signatures panel.

### Fixes

#### Annotations

* Fixed an issue where the inline comment popup would remain open even when the annotation was outside the viewport.
* Fixed an issue in `MultiViewerMode` where toggling auto-size font on a FreeText annotation would incorrectly update the annotation manager of the wrong document viewer.

#### DOCX Editor

* Fixed an issue where Tracked Changes were not sorted properly with the 'Position' sort option.

#### General

* Fixed an issue where the Search Panel results were announced by screen readers as a grid instead of a list.
* Fixed an issue with deleting and editing note replies.
* Fixed an issue where the tooltip wasn't rendering on top of the buttons in the multi-select footer.
* Fixed an issue where the multi-select footer wasn't anchored to the bottom of the notes panel.
* Fixed an issue where keyboard shortcuts were unusable while the focus was within panels in web component mode.

#### MultiViewer

* Fixed an issue where the viewer went to a bad state if a user tried to start zoom sync with only one document loaded.
* Defaulted to View Ribbon when switching out of MultiViewer.
* Fixed an issue where a newly loaded document would have a different display mode than the document in the other viewer in MultiViewer.
* Fixed an issue where multi-selected notes in the second viewer did not point to their respective annotations from the notes panel as is the case in the first viewer.
* Fixed an issue where adding a new note to the second viewer did not open the notes panel as it does in the first viewer.
* Fixed issues with touch gestures not working on mobile devices in MultiViewer mode.
* Fixed an issue where the annotation content overlay would not render in all viewers.

#### Spreadsheet Editor

* Fixed an issue where spreadsheet search results could become stale after sheet changes such as unhiding or deleting sheets.
* Fixed an issue where input did not retain focus when renaming sheets.
* Updated default name for new sheets.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-11/v11-12-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
